6.0.0-git
2021-01-18

[#2155] Ability to limit uploaded image/file size
Summary Ability to limit uploaded image/file size
Queue Horde Framework Packages
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester vilius (at) lnk (dot) lt
Created 2005-06-19 (5692 days ago)
Due
Updated 2006-08-07 (5278 days ago)
Assigned
Resolved 2006-08-07 (5278 days ago)
Milestone
Patch No

History
2006-08-07 21:44:54 Jan Schneider Comment #8
State ⇒ Resolved
Reply to this comment
Committed, thanks.
2006-08-07 21:37:26 Jan Schneider Deleted Original Message
 
2006-06-23 19:37:13 Jan Schneider Comment #7 Reply to this comment
Still in my inbox.
2006-06-23 18:11:03 vilius (at) lnk (dot) lt Comment #6 Reply to this comment
Does anyone had a time to look at this or notification email got missing?
2006-06-14 08:20:43 vilius (at) lnk (dot) lt Comment #5
New Attachment: filesize_full.php.patch Download
Reply to this comment
I think this will fix it.
2006-06-13 17:53:33 Chuck Hagenbuch Comment #4
State ⇒ Feedback
Reply to this comment
Yup, that's part of it, but you need to then check the size of the 
uploaded file in validate().
2006-06-13 11:30:30 vilius (at) lnk (dot) lt Comment #3
New Attachment: filesize.php.patch
Reply to this comment
Done. But this is somewhat temporary fix, because MAX_FILE_SIZE can be 
fooled by a browser.
2005-10-09 16:43:09 horde (at) headbonk (dot) com Comment #2 Reply to this comment
Perhaps this should be a new request, but I've been thinking it would 
be nice to have an option to resize uploaded images over a certain 
size using an imaging toolkit like ImageMagik or NetPBM. I find that a 
lot of my users have trouble understanding image file size and 
dpi/compression settings.  Reasonable defaults could be set by the 
admin which could be customized per user.
2005-06-19 16:55:51 Chuck Hagenbuch State ⇒ Accepted
 
2005-06-19 15:40:57 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Ability to limit uploaded image/file size
Queue ⇒ Horde Framework Packages
Reply to this comment
Now Horde_Forms do not check for image/file size on upload. If you 
choose MySQL server for form backend this results in error "MySQL 
server went away." So add ability to limit file size in image and file 
upload fields.

Saved Queries